ExtensionLineOffset 属性 (ActiveX)
指定延伸线与原点的偏移距离。 支持的平台:仅限 Windows 签名VBA: object.ExtensionLineOffset
属性值只读:不 类型:双 一个正实数,指定将延伸线偏移到原点之外的距离。 言论此属性的初始值为 0.0625。
注意:此属性将覆盖给定维度的 DIMEXO 系统变量的值。
例子VBA: Sub Example_ExtensionLineOffset() ' This example creates a Dim3PointAngular object in model space ' and changes the offset of the extension lines using the ' ExtensionLineOffset property Dim DimPointAngularObj As AcadDim3PointAngular Dim AngleVertex(0 To 2) As Double Dim FirstPoint(0 To 2) As Double, SecondPoint(0 To 2) As Double Dim TextPoint(0 To 2) As Double ' Define the new Dim3PointAngular object AngleVertex(0) = 0: AngleVertex(1) = 0: AngleVertex(2) = 0 FirstPoint(0) = 2: FirstPoint(1) = 2: FirstPoint(2) = 0 SecondPoint(0) = 1: SecondPoint(1) = 4: SecondPoint(2) = 0 TextPoint(0) = 6: TextPoint(1) = 6: TextPoint(2) = 0 ' Create the new Dim3PointAngular object in model space Set DimPointAngularObj = ThisDrawing.ModelSpace.AddDim3PointAngular(AngleVertex, FirstPoint, SecondPoint, TextPoint) ThisDrawing.Application.ZoomAll ' Read and display current offset of the extension lines from the control points MsgBox "The extension lines are currently offset " & DimPointAngularObj.ExtensionLineOffset & " units" ' Change the extension lines offset distance from the control points DimPointAngularObj.ExtensionLineOffset = 1.5 ThisDrawing.Regen acAllViewports ' Read and display current offset of the extension lines from the control points MsgBox "The extension lines are now offset " & DimPointAngularObj.ExtensionLineOffset & " units" End Sub 可视化 LISP: (vl-load-com) (defun c:Example_ExtensionLineOffset() ;; This example creates a Dim3PointAngular object in model space ;; and changes the offset of the extension lines using the ;; ExtensionLineOffset property (setq acadObj (vlax-get-acad-object)) (setq doc (vla-get-ActiveDocument acadObj)) ;; Define the new Dim3PointAngular object (setq AngleVertex (vlax-3d-point 0 0 0) FirstPoint (vlax-3d-point 2 2 0) SecondPoint (vlax-3d-point 1 4 0) TextPoint (vlax-3d-point 6 6 0)) ;; Create the new Dim3PointAngular object in model space (setq modelSpace (vla-get-ModelSpace doc)) (setq DimPointAngularObj (vla-AddDim3PointAngular modelSpace AngleVertex FirstPoint SecondPoint TextPoint)) (vla-ZoomAll acadObj) ;; Read and display current offset of the extension lines from the control points (alert (strcat "The extension lines are currently offset " (rtos (vla-get-ExtensionLineOffset DimPointAngularObj) 2) " units")) ;; Change the extension lines offset distance from the control points (vla-put-ExtensionLineOffset DimPointAngularObj 1.5) (vla-Regen doc acAllViewports) ;; Read and display current offset of the extension lines from the control points (alert (strcat "The extension lines are now offset " (rtos (vla-get-ExtensionLineOffset DimPointAngularObj) 2) " units")) ) |
|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 苏公网安备32011402011833)
GMT+8, 2024-12-15 11:43
Powered by Discuz! X3.4
Copyright © 2001-2021, Tencent Cloud.